import 'package:flutter/material.dart';
import 'package:frontend_eccp_mobile/app/core/constants/app_colors.dart';
import 'package:frontend_eccp_mobile/app/core/widgets/layout/app_screen.dart';
import 'package:syncfusion_flutter_pdfviewer/pdfviewer.dart';

class PdfViewerPage extends StatelessWidget {
  const PdfViewerPage({required this.url, super.key});

  final String url;

  @override
  Widget build(BuildContext context) {
    return AppScreen(
      title: 'Preview File',
      backgroundColor: AppColors.neutralWhite,
      scrollableBody: false,
      body: SfPdfViewer.network(
        url,
      ),
    );
  }
}
